#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* LCD_LCDPort */
#define LCD_LCDPort__0__MASK 0x01u
#define LCD_LCDPort__0__PC CYREG_PRT2_PC0
#define LCD_LCDPort__0__PORT 2u
#define LCD_LCDPort__0__SHIFT 0
#define LCD_LCDPort__1__MASK 0x02u
#define LCD_LCDPort__1__PC CYREG_PRT2_PC1
#define LCD_LCDPort__1__PORT 2u
#define LCD_LCDPort__1__SHIFT 1
#define LCD_LCDPort__2__MASK 0x04u
#define LCD_LCDPort__2__PC CYREG_PRT2_PC2
#define LCD_LCDPort__2__PORT 2u
#define LCD_LCDPort__2__SHIFT 2
#define LCD_LCDPort__3__MASK 0x08u
#define LCD_LCDPort__3__PC CYREG_PRT2_PC3
#define LCD_LCDPort__3__PORT 2u
#define LCD_LCDPort__3__SHIFT 3
#define LCD_LCDPort__4__MASK 0x10u
#define LCD_LCDPort__4__PC CYREG_PRT2_PC4
#define LCD_LCDPort__4__PORT 2u
#define LCD_LCDPort__4__SHIFT 4
#define LCD_LCDPort__5__MASK 0x20u
#define LCD_LCDPort__5__PC CYREG_PRT2_PC5
#define LCD_LCDPort__5__PORT 2u
#define LCD_LCDPort__5__SHIFT 5
#define LCD_LCDPort__6__MASK 0x40u
#define LCD_LCDPort__6__PC CYREG_PRT2_PC6
#define LCD_LCDPort__6__PORT 2u
#define LCD_LCDPort__6__SHIFT 6
#define LCD_LCDPort__AG CYREG_PRT2_AG
#define LCD_LCDPort__AMUX CYREG_PRT2_AMUX
#define LCD_LCDPort__BIE CYREG_PRT2_BIE
#define LCD_LCDPort__BIT_MASK CYREG_PRT2_BIT_MASK
#define LCD_LCDPort__BYP CYREG_PRT2_BYP
#define LCD_LCDPort__CTL CYREG_PRT2_CTL
#define LCD_LCDPort__DM0 CYREG_PRT2_DM0
#define LCD_LCDPort__DM1 CYREG_PRT2_DM1
#define LCD_LCDPort__DM2 CYREG_PRT2_DM2
#define LCD_LCDPort__DR CYREG_PRT2_DR
#define LCD_LCDPort__INP_DIS CYREG_PRT2_INP_DIS
#define LCD_LCDPort__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LCD_LCDPort__LCD_EN CYREG_PRT2_LCD_EN
#define LCD_LCDPort__MASK 0x7Fu
#define LCD_LCDPort__PORT 2u
#define LCD_LCDPort__PRT CYREG_PRT2_PRT
#define LCD_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LCD_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LCD_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LCD_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LCD_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LCD_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LCD_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LCD_LCDPort__PS CYREG_PRT2_PS
#define LCD_LCDPort__SHIFT 0
#define LCD_LCDPort__SLW CYREG_PRT2_SLW

/* SPIM_BSPIM */
#define SPIM_BSPIM_BitCounter_ST__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB01_02_ACTL
#define SPIM_BSPIM_BitCounter_ST__16BIT_STATUS_REG CYREG_B0_UDB01_02_ST
#define SPIM_BSPIM_BitCounter_ST__MASK_REG CYREG_B0_UDB01_MSK
#define SPIM_BSPIM_BitCounter_ST__MASK_ST_AUX_CTL_REG CYREG_B0_UDB01_MSK_ACTL
#define SPIM_BSPIM_BitCounter_ST__PER_ST_AUX_CTL_REG CYREG_B0_UDB01_MSK_ACTL
#define SPIM_BSPIM_BitCounter_ST__STATUS_AUX_CTL_REG CYREG_B0_UDB01_ACTL
#define SPIM_BSPIM_BitCounter_ST__STATUS_CNT_REG CYREG_B0_UDB01_ST_CTL
#define SPIM_BSPIM_BitCounter_ST__STATUS_CONTROL_REG CYREG_B0_UDB01_ST_CTL
#define SPIM_BSPIM_BitCounter_ST__STATUS_REG CYREG_B0_UDB01_ST
#define SPIM_BSPIM_BitCounter__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB01_02_ACTL
#define SPIM_BSPIM_BitCounter__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB01_02_CTL
#define SPIM_BSPIM_BitCounter__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB01_02_CTL
#define SPIM_BSPIM_BitCounter__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB01_02_CTL
#define SPIM_BSPIM_BitCounter__16BIT_COUNT_COUNT_REG CYREG_B0_UDB01_02_CTL
#define SPIM_BSPIM_BitCounter__16BIT_MASK_MASK_REG CYREG_B0_UDB01_02_MSK
#define SPIM_BSPIM_BitCounter__16BIT_MASK_PERIOD_REG CYREG_B0_UDB01_02_MSK
#define SPIM_BSPIM_BitCounter__16BIT_PERIOD_MASK_REG CYREG_B0_UDB01_02_MSK
#define SPIM_BSPIM_BitCounter__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB01_02_MSK
#define SPIM_BSPIM_BitCounter__CONTROL_AUX_CTL_REG CYREG_B0_UDB01_ACTL
#define SPIM_BSPIM_BitCounter__CONTROL_REG CYREG_B0_UDB01_CTL
#define SPIM_BSPIM_BitCounter__CONTROL_ST_REG CYREG_B0_UDB01_ST_CTL
#define SPIM_BSPIM_BitCounter__COUNT_REG CYREG_B0_UDB01_CTL
#define SPIM_BSPIM_BitCounter__COUNT_ST_REG CYREG_B0_UDB01_ST_CTL
#define SPIM_BSPIM_BitCounter__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB01_MSK_ACTL
#define SPIM_BSPIM_BitCounter__PERIOD_REG CYREG_B0_UDB01_MSK
#define SPIM_BSPIM_BitCounter__PER_CTL_AUX_CTL_REG CYREG_B0_UDB01_MSK_ACTL
#define SPIM_BSPIM_RxStsReg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB03_04_ACTL
#define SPIM_BSPIM_RxStsReg__16BIT_STATUS_REG CYREG_B0_UDB03_04_ST
#define SPIM_BSPIM_RxStsReg__4__MASK 0x10u
#define SPIM_BSPIM_RxStsReg__4__POS 4
#define SPIM_BSPIM_RxStsReg__5__MASK 0x20u
#define SPIM_BSPIM_RxStsReg__5__POS 5
#define SPIM_BSPIM_RxStsReg__6__MASK 0x40u
#define SPIM_BSPIM_RxStsReg__6__POS 6
#define SPIM_BSPIM_RxStsReg__MASK 0x70u
#define SPIM_BSPIM_RxStsReg__MASK_REG CYREG_B0_UDB03_MSK
#define SPIM_BSPIM_RxStsReg__STATUS_AUX_CTL_REG CYREG_B0_UDB03_ACTL
#define SPIM_BSPIM_RxStsReg__STATUS_REG CYREG_B0_UDB03_ST
#define SPIM_BSPIM_TxStsReg__0__MASK 0x01u
#define SPIM_BSPIM_TxStsReg__0__POS 0
#define SPIM_BSPIM_TxStsReg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB02_03_ACTL
#define SPIM_BSPIM_TxStsReg__16BIT_STATUS_REG CYREG_B0_UDB02_03_ST
#define SPIM_BSPIM_TxStsReg__1__MASK 0x02u
#define SPIM_BSPIM_TxStsReg__1__POS 1
#define SPIM_BSPIM_TxStsReg__2__MASK 0x04u
#define SPIM_BSPIM_TxStsReg__2__POS 2
#define SPIM_BSPIM_TxStsReg__3__MASK 0x08u
#define SPIM_BSPIM_TxStsReg__3__POS 3
#define SPIM_BSPIM_TxStsReg__4__MASK 0x10u
#define SPIM_BSPIM_TxStsReg__4__POS 4
#define SPIM_BSPIM_TxStsReg__MASK 0x1Fu
#define SPIM_BSPIM_TxStsReg__MASK_REG CYREG_B0_UDB02_MSK
#define SPIM_BSPIM_TxStsReg__STATUS_AUX_CTL_REG CYREG_B0_UDB02_ACTL
#define SPIM_BSPIM_TxStsReg__STATUS_REG CYREG_B0_UDB02_ST
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_A0_REG CYREG_B0_UDB01_02_A0
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_A1_REG CYREG_B0_UDB01_02_A1
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_D0_REG CYREG_B0_UDB01_02_D0
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_D1_REG CYREG_B0_UDB01_02_D1
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB01_02_ACTL
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_F0_REG CYREG_B0_UDB01_02_F0
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_F1_REG CYREG_B0_UDB01_02_F1
#define SPIM_BSPIM_sR8_Dp_u0__A0_A1_REG CYREG_B0_UDB01_A0_A1
#define SPIM_BSPIM_sR8_Dp_u0__A0_REG CYREG_B0_UDB01_A0
#define SPIM_BSPIM_sR8_Dp_u0__A1_REG CYREG_B0_UDB01_A1
#define SPIM_BSPIM_sR8_Dp_u0__D0_D1_REG CYREG_B0_UDB01_D0_D1
#define SPIM_BSPIM_sR8_Dp_u0__D0_REG CYREG_B0_UDB01_D0
#define SPIM_BSPIM_sR8_Dp_u0__D1_REG CYREG_B0_UDB01_D1
#define SPIM_BSPIM_sR8_Dp_u0__DP_AUX_CTL_REG CYREG_B0_UDB01_ACTL
#define SPIM_BSPIM_sR8_Dp_u0__F0_F1_REG CYREG_B0_UDB01_F0_F1
#define SPIM_BSPIM_sR8_Dp_u0__F0_REG CYREG_B0_UDB01_F0
#define SPIM_BSPIM_sR8_Dp_u0__F1_REG CYREG_B0_UDB01_F1
#define SPIM_BSPIM_sR8_Dp_u0__MSK_DP_AUX_CTL_REG CYREG_B0_UDB01_MSK_ACTL
#define SPIM_BSPIM_sR8_Dp_u0__PER_DP_AUX_CTL_REG CYREG_B0_UDB01_MSK_ACTL

/* DMA_RX_M */
#define DMA_RX_M__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define DMA_RX_M__DRQ_NUMBER 0u
#define DMA_RX_M__NUMBEROF_TDS 0u
#define DMA_RX_M__PRIORITY 2u
#define DMA_RX_M__TERMIN_EN 0u
#define DMA_RX_M__TERMIN_SEL 0u
#define DMA_RX_M__TERMOUT0_EN 0u
#define DMA_RX_M__TERMOUT0_SEL 0u
#define DMA_RX_M__TERMOUT1_EN 0u
#define DMA_RX_M__TERMOUT1_SEL 0u

/* DMA_TX_M */
#define DMA_TX_M__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define DMA_TX_M__DRQ_NUMBER 1u
#define DMA_TX_M__NUMBEROF_TDS 0u
#define DMA_TX_M__PRIORITY 2u
#define DMA_TX_M__TERMIN_EN 0u
#define DMA_TX_M__TERMIN_SEL 0u
#define DMA_TX_M__TERMOUT0_EN 0u
#define DMA_TX_M__TERMOUT0_SEL 0u
#define DMA_TX_M__TERMOUT1_EN 0u
#define DMA_TX_M__TERMOUT1_SEL 0u

/* M_MISO */
#define M_MISO__0__MASK 0x04u
#define M_MISO__0__PC CYREG_PRT0_PC2
#define M_MISO__0__PORT 0u
#define M_MISO__0__SHIFT 2
#define M_MISO__AG CYREG_PRT0_AG
#define M_MISO__AMUX CYREG_PRT0_AMUX
#define M_MISO__BIE CYREG_PRT0_BIE
#define M_MISO__BIT_MASK CYREG_PRT0_BIT_MASK
#define M_MISO__BYP CYREG_PRT0_BYP
#define M_MISO__CTL CYREG_PRT0_CTL
#define M_MISO__DM0 CYREG_PRT0_DM0
#define M_MISO__DM1 CYREG_PRT0_DM1
#define M_MISO__DM2 CYREG_PRT0_DM2
#define M_MISO__DR CYREG_PRT0_DR
#define M_MISO__INP_DIS CYREG_PRT0_INP_DIS
#define M_MISO__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define M_MISO__LCD_EN CYREG_PRT0_LCD_EN
#define M_MISO__MASK 0x04u
#define M_MISO__PORT 0u
#define M_MISO__PRT CYREG_PRT0_PRT
#define M_MISO__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define M_MISO__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define M_MISO__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define M_MISO__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define M_MISO__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define M_MISO__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define M_MISO__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define M_MISO__PS CYREG_PRT0_PS
#define M_MISO__SHIFT 2
#define M_MISO__SLW CYREG_PRT0_SLW

/* M_MOSI */
#define M_MOSI__0__MASK 0x01u
#define M_MOSI__0__PC CYREG_PRT0_PC0
#define M_MOSI__0__PORT 0u
#define M_MOSI__0__SHIFT 0
#define M_MOSI__AG CYREG_PRT0_AG
#define M_MOSI__AMUX CYREG_PRT0_AMUX
#define M_MOSI__BIE CYREG_PRT0_BIE
#define M_MOSI__BIT_MASK CYREG_PRT0_BIT_MASK
#define M_MOSI__BYP CYREG_PRT0_BYP
#define M_MOSI__CTL CYREG_PRT0_CTL
#define M_MOSI__DM0 CYREG_PRT0_DM0
#define M_MOSI__DM1 CYREG_PRT0_DM1
#define M_MOSI__DM2 CYREG_PRT0_DM2
#define M_MOSI__DR CYREG_PRT0_DR
#define M_MOSI__INP_DIS CYREG_PRT0_INP_DIS
#define M_MOSI__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define M_MOSI__LCD_EN CYREG_PRT0_LCD_EN
#define M_MOSI__MASK 0x01u
#define M_MOSI__PORT 0u
#define M_MOSI__PRT CYREG_PRT0_PRT
#define M_MOSI__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define M_MOSI__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define M_MOSI__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define M_MOSI__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define M_MOSI__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define M_MOSI__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define M_MOSI__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define M_MOSI__PS CYREG_PRT0_PS
#define M_MOSI__SHIFT 0
#define M_MOSI__SLW CYREG_PRT0_SLW

/* M_SCLK */
#define M_SCLK__0__MASK 0x10u
#define M_SCLK__0__PC CYREG_PRT0_PC4
#define M_SCLK__0__PORT 0u
#define M_SCLK__0__SHIFT 4
#define M_SCLK__AG CYREG_PRT0_AG
#define M_SCLK__AMUX CYREG_PRT0_AMUX
#define M_SCLK__BIE CYREG_PRT0_BIE
#define M_SCLK__BIT_MASK CYREG_PRT0_BIT_MASK
#define M_SCLK__BYP CYREG_PRT0_BYP
#define M_SCLK__CTL CYREG_PRT0_CTL
#define M_SCLK__DM0 CYREG_PRT0_DM0
#define M_SCLK__DM1 CYREG_PRT0_DM1
#define M_SCLK__DM2 CYREG_PRT0_DM2
#define M_SCLK__DR CYREG_PRT0_DR
#define M_SCLK__INP_DIS CYREG_PRT0_INP_DIS
#define M_SCLK__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define M_SCLK__LCD_EN CYREG_PRT0_LCD_EN
#define M_SCLK__MASK 0x10u
#define M_SCLK__PORT 0u
#define M_SCLK__PRT CYREG_PRT0_PRT
#define M_SCLK__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define M_SCLK__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define M_SCLK__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define M_SCLK__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define M_SCLK__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define M_SCLK__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define M_SCLK__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define M_SCLK__PS CYREG_PRT0_PS
#define M_SCLK__SHIFT 4
#define M_SCLK__SLW CYREG_PRT0_SLW

/* Clock */
#define Clock__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define Clock__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define Clock__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define Clock__CFG2_SRC_SEL_MASK 0x07u
#define Clock__INDEX 0x00u
#define Clock__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock__PM_ACT_MSK 0x01u
#define Clock__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock__PM_STBY_MSK 0x01u

/* M_SS */
#define M_SS__0__MASK 0x40u
#define M_SS__0__PC CYREG_PRT0_PC6
#define M_SS__0__PORT 0u
#define M_SS__0__SHIFT 6
#define M_SS__AG CYREG_PRT0_AG
#define M_SS__AMUX CYREG_PRT0_AMUX
#define M_SS__BIE CYREG_PRT0_BIE
#define M_SS__BIT_MASK CYREG_PRT0_BIT_MASK
#define M_SS__BYP CYREG_PRT0_BYP
#define M_SS__CTL CYREG_PRT0_CTL
#define M_SS__DM0 CYREG_PRT0_DM0
#define M_SS__DM1 CYREG_PRT0_DM1
#define M_SS__DM2 CYREG_PRT0_DM2
#define M_SS__DR CYREG_PRT0_DR
#define M_SS__INP_DIS CYREG_PRT0_INP_DIS
#define M_SS__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define M_SS__LCD_EN CYREG_PRT0_LCD_EN
#define M_SS__MASK 0x40u
#define M_SS__PORT 0u
#define M_SS__PRT CYREG_PRT0_PRT
#define M_SS__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define M_SS__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define M_SS__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define M_SS__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define M_SS__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define M_SS__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define M_SS__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define M_SS__PS CYREG_PRT0_PS
#define M_SS__SHIFT 6
#define M_SS__SLW CYREG_PRT0_SLW

/* Miscellaneous */
/* -- WARNING: define names containing LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIG_FASTBOOT_ENABLED 0
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_LEOPARD
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_PANTHER 3u
#define CYDEV_CHIP_DIE_PSOC4A 2u
#define CYDEV_CHIP_DIE_PSOC5LP 4u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC3
#define CYDEV_CHIP_JTAG_ID 0x1E028069u
#define CYDEV_CHIP_MEMBER_4A 2u
#define CYDEV_CHIP_MEMBER_5A 3u
#define CYDEV_CHIP_MEMBER_5B 4u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_3A
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_3A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_LEOPARD_PRODUCTION
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CONFIGURATION_CLEAR_SRAM 1
#define CYDEV_CONFIGURATION_COMPRESSED 0
#define CYDEV_CONFIGURATION_DMA 1
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_DMA
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DEBUG_ENABLE_MASK 0x01u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x00000000u
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define DMA_CHANNELS_USED__MASK0 0x00000003u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
